ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010871ClearCenterapp-active-directory - Active Directory Connectorpublic2016-10-07 12:122017-04-24 20:56
Reporterdloper 
Assigned Topbaldwin 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version7.2.0 Updates 
Target Version7.3.0 UpdatesFixed in Version7.3.0 Updates 
Summary0010871: Return wbinfo group information sorted.
DescriptionIn the branch development of the AD connector which is modified to return information from wbinfo instead of getent, results should return sorted for both group and user results even on lists of 1300 groups this doesn't cost much:
Additional InformationFor example:

$shell->execute(self::COMMAND_WBINFO, '-g');

Becomes:

$shell->execute(self::COMMAND_WBINFO, '-g | sort');

And:

$shell->execute(self::COMMAND_WBINFO, '-u');

Becomes:

$shell->execute(self::COMMAND_WBINFO, '-u | sort');

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2016-10-07 12:12 dloper New Issue
2017-01-16 17:46 pbaldwin Status new => confirmed
2017-01-16 17:46 pbaldwin Target Version 7.2.0 Updates => 7.3.0 Updates
2017-04-24 20:56 pbaldwin Status confirmed => resolved
2017-04-24 20:56 pbaldwin Fixed in Version => 7.3.0 Updates
2017-04-24 20:56 pbaldwin Resolution open => fixed
2017-04-24 20:56 pbaldwin Assigned To => pbaldwin